ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Java Jboss <apache...@hotmail.co.uk>
Subject RE: How to script database upgrade using ANT script
Date Tue, 09 Nov 2010 11:30:51 GMT

Hi Michael, 

I have tried using the <fail unless..../> and other examples from Google but
I can't get it to work.  I just want the "db-upgrade:" bit to stop when it
cant meet the next condition.

At the moment it still tries to run the script looking for dir2 and dir3
even though these don't exist at the moment but will do in the future.

outputs:

db-upgrade:
     [exec] Failed to open .../upgrade-2.0-3.0/Upgrade-1.01-1-Pre.sql
     [exec] Failed to open .../upgrade-2.0-3.0/Upgrade-1.01-2-Data.sql
     [exec] Failed to open .../upgrade-2.0-3.0/Upgrade-1.01-3-Post.sql
     [exec] Failed to open .../upgrade-2.0-3.0/Upgrade-1.01-4-Version.sql
     [echo] database......... mysql
     [echo] tx............... standalone
     [echo] mail.smtp.host... localhost

db-upgrade:
     [exec] Failed to open .../upgrade-3.0-4.0/Upgrade-1.01-1-Pre.sql
     [exec] Failed to open .../upgrade-3.0-4.0/Upgrade-1.01-2-Data.sql
     [exec] Failed to open .../upgrade-3.0-4.0/Upgrade-1.01-3-Post.sql
     [exec] Failed to open .../upgrade-3.0-4.0/Upgrade-1.01-4-Version.sql

Having seen my script can you please provide the bit of ant code that will
allow this condition check and exit if doesn't meet it.  
-- 
View this message in context: http://ant.1045680.n5.nabble.com/How-to-script-database-upgrade-using-ANT-script-tp3250375p3256644.html
Sent from the Ant - Users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message